# ${docGenStepName}

## ${docGenDescription}

## Prerequisites

* A **configuration file** with properties. The property values are used as default values in many pipeline steps.

## ${docGenParameters}

## ${docGenConfiguration}

## ${docJenkinsPluginDependencies}

## Side effects

none

## Exceptions

none

## Example

```groovy
setupCommonPipelineEnvironment script: this
```
